import * as React from 'react';
import './styles.scss';
export interface IOption {
    value: number;
    label: string;
    type: string;
    rawOption: any;
    suboptions: IOption[];
}
interface OwnProps {
    countType: string;
    option: IOption;
    onChange: (options: IOption[], option: IOption) => void;
    initialValues?: any;
    isCollapse: boolean;
}
export declare type Props = OwnProps;
export declare const CollapsibleWithSelect: React.FC<Required<Props>>;
export {};
