import * as React from 'react';
import { ISelect } from '../SelectV2/types';
import "./styles.scss";
export declare class Filters extends React.PureComponent<any, any> {
    /**
     * @name getParameters
     * @description
     * @author Jonathan IBOR
     * @static
     * @param {string} parameters
     * @returns
     * @memberof Filters
     */
    static getParameters(parameters: string): any;
    constructor(props: any);
    /**
     * @name setFiltersIntoUrl
     * @description
     * @author Jonathan IBOR
     * @memberof Filters
     */
    setFiltersIntoUrl(): void;
    updateInitialValuesState({ item, getValue, filter, updateInitialValues, data, date }: any): any;
    updateFiltersState(item: any, getValue: any, updateFilters: any, date?: boolean): any;
    /**
     * @name componentDidMount
     * @description React Lifecycle
     * @author Jonathan IBOR
     * @memberof Filters
     */
    componentDidMount(): void;
    /**
     * @name componentDidUpdate
     * @description React Lifecycle
     * @author Jonathan IBOR
     * @param {Props} nextProps
     * @param {State} nextState
     * @memberof Filters
     */
    componentDidUpdate(nextProps: any, nextState: any): void;
    /**
     * @name formattingFilters
     * @description
     * @author Jonathan IBOR
     * @param {(ISelect[] | string)} value
     * @param {*} item
     * @returns
     * @memberof Filters
    */
    formattingFilters(value: ISelect[] | string | any, item: any): void;
    /**
     * @description
     * @author Jonathan IBOR
     * @param {Date} value
     * @memberof Filters
     */
    onSelectStartDate(value: Date): void;
    /**
     * @name onSelectEndDate
     * @description
     * @author Jonathan IBOR
     * @param {Date} value
     * @memberof Filters
    */
    onSelectEndDate(value: Date): void;
    /**
     * @name generateAction
     * @description
     * @author Jonathan IBOR
     * @param {*} value
     * @param {*} item
     * @returns
     * @memberof Filters
     */
    generateAction(value: string | undefined, item: any): void;
    /**
     * @name onHandleClose
     * @description
     * @author Jonathan IBOR
     * @param {*} item
     * @memberof Filters
     */
    onHandleClose(item: any): void;
    isReset(item: any): boolean;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
declare const _default: any;
export default _default;
