export interface ISelect {
    value: number | string;
    label: string;
    parentId?: string;
    hasChildren?: string;
}
export interface OwnProps {
    label?: string;
    placeholder: string;
    data?: ISelect[];
    isClose?: boolean;
    getElements: (elements: ISelect[] | ISelect | string | null) => void;
    value?: string;
    action?: any;
    type?: string;
    onHandleReset?: () => void;
    initialValues?: ISelect[] | ISelect | string;
    className?: string;
    openChildren?: boolean;
    reset?: boolean;
    isSelected?: boolean;
    isAutoComplete?: boolean;
    onChange?: any;
    multi?: boolean | string;
    secondary?: boolean | string;
    isFocus?: boolean;
    handleBlur?: any;
    handleFocus?: any;
    isHeaderButton?: boolean;
}
export interface State {
    numberSelectedItems: number;
    elements: ISelect[];
    isOpenOptions: boolean;
    valueInput: string;
    data: ISelect[];
}
export declare type Props = OwnProps;
