import { ISelect } from '../SelectV2/types';
import * as React from 'react';
import './styles.scss';
export interface WrappedFieldMetaProps {
    active?: boolean | undefined;
    autofilled: boolean;
    asyncValidating: boolean;
    dirty: boolean;
    dispatch: any;
    error?: any;
    form: string;
    initial: any;
    invalid: boolean;
    pristine: boolean;
    submitting: boolean;
    submitFailed: boolean;
    touched: boolean;
    valid: boolean;
    visited: boolean;
    warning?: any;
}
export interface InputSelectProps {
    label?: string;
    placeholder?: string;
    initialValues?: string;
    options?: ISelect[];
    multi?: boolean;
    action?: (params: any) => void;
    onChange?: (options: ISelect[]) => void;
    isReset?: boolean;
    isLocalFilter?: boolean;
    onDropDownClose?: () => void;
    styles?: React.CSSProperties;
    meta?: WrappedFieldMetaProps;
    isNotDeleteButton?: boolean;
    compareByValue?: boolean;
}
export declare const InputSelect: (props: InputSelectProps) => JSX.Element;
