import * as React from 'react';
import './styles.scss';
export interface WrappedFieldMetaProps {
    active?: boolean | undefined;
    autofilled: boolean;
    asyncValidating: boolean;
    dirty: boolean;
    dispatch: any;
    error?: any;
    form: string;
    initial: any;
    invalid: boolean;
    pristine: boolean;
    submitting: boolean;
    submitFailed: boolean;
    touched: boolean;
    valid: boolean;
    visited: boolean;
    warning?: any;
}
interface IProps {
    placeholder?: string;
    initialValues?: string;
    label?: string;
    Icon?: any;
    secondary?: boolean;
    onChange?: (value: string) => void;
    styles?: React.CSSProperties;
    meta?: WrappedFieldMetaProps;
}
export declare const InputText: (props: IProps) => JSX.Element;
export {};
