import * as React from "react";
import { Props, ISelect, State } from "./types";
import "./styles.scss";
export declare class SelectV2 extends React.Component<Props, State> {
    refElement: any;
    timer: number;
    constructor(props: Props);
    /**
    * @name componentDidMount
    * @description React Lifecycle
    * @author (Set the text for this tag by adding docthis.authorName to your settings file.)
    * @memberof SelectV2
    */
    componentDidMount(): void;
    /**
    * @name componentDidUpdate
    * @description React Lifecycle
    * @author Jonathan IBOR
    * @param {Props} nextProps
    * @param {State} nextState
    * @memberof SelectV2
    */
    componentDidUpdate(nextProps: Props, nextState: State): Promise<void>;
    /**
    * @description
    * @memberof SelectV2
    */
    hideDropdownByRef: (event: Event) => void;
    /**
    * @description
    * @memberof SelectV2
    */
    onClickElement: (_: Event, currentValue: ISelect) => void;
    /**
    * @name onHandleResetFilter
    * @description
    * @author Jonathan IBOR
    * @memberof SelectV2
    */
    onHandleResetFilter: (e: any) => void;
    /**
    * @name onHandleToggleDropdown
    * @description
    * @author Jonathan IBOR
    * @memberof SelectV2
    */
    onHandleToggleDropdown: (e: any) => void;
    renderItemDropdown: (el: ISelect, index: number, exist: boolean) => JSX.Element;
    renderOptions: () => {} | null;
    renderInitialValues: () => JSX.Element | (false | JSX.Element)[];
    inputStyle: (isSecondaryWithElement: boolean) => void;
    render(): JSX.Element;
}
